Subject: bug#36056: Regression? (Python Documentation String Indent In Auto Fill Mode)

From: Dima Kogan <[email-masked]>
Date: Mon, 09 Sep 2019 15:02:37 -0700

Noam Postavsky <[email-masked]> writes:

> The problem seems to be that fill-newline puts the space on the new
> line when breaking the line, and python-indent-line (which is called
> when fill-indent-according-to-mode is t) leaves indentation inside
> strings as-is.
>
> Maybe the solution is to bind fill-indent-according-to-mode only during
> auto-filling?  The patch below seems to work for both this bug's OP, and
> your case.

Thanks for looking at this. I haven't tried your proposed patch, but it
certainly looks like it would work. Do you think it's a reasonable
solution? Feels a bit like a workaround, but we have comments and tests,
so maybe it's fine, I guess.

Thanks again.